AddonManager (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.core
[Java] Interface AddonManager

    griffon.core.ApplicationHandler
      griffon.core.AddonManager

All Superinterfaces:
  ApplicationHandler

    public interface AddonManager
    extends ApplicationHandler

Helper class capable of dealing with addons.

Authors:
  Andres Almiray

Since:
  0.9.2

Method Summary
`GriffonAddon` | `findAddon(String name)` Finds an addon by name.
`GriffonAddonDescriptor` | `findAddonDescriptor(String name)` Finds an addon descriptor by name.
`Map` | `findAddonDescriptors(String prefix)` Finds all addon descriptors that are registered with the specified prefix.
`Map` | `getAddonDescriptors()` Returns a read-only view of all available addon descriptors
`Map` | `getAddons()` Returns a read-only view of all available addons
`void` | `initialize()`
`void` | `registerAddon(GriffonAddonDescriptor addonDescriptor)`

Methods inherited from interface ApplicationHandler
getApp

Method Detail

### findAddon

    public GriffonAddon findAddon(String name)

  Finds an addon by name.

  Example: findAddon("miglayout") will return a GriffonAddon that represents the contibutions of the MigLayout plugin.

  Parameters:
    `name` - the name of the addon to search for
  Returns:
    an addon instance if there's a match, null otherwise

### findAddonDescriptor

    public GriffonAddonDescriptor findAddonDescriptor(String name)

  Finds an addon descriptor by name.

  Example: findAddonDescriptor("miglayout") will return a GriffonAddonDescriptor that represents the contibutions of the MigLayout plugin.

  Parameters:
    `name` - the name of the addon to search for
  Returns:
    an addon descriptor instance if there's a match, null otherwise

### findAddonDescriptors

    public Map findAddonDescriptors(String prefix)

  Finds all addon descriptors that are registered with the specified prefix.

  Example: findAddonDescriptors("foo") will return al addon descriptors that use 'foo as a prefix.

  A null or blank prefix should return all addon descriptors registered with the 'root' prefix.

  Parameters:
    `prefix` - the prefix to search for
  Returns:
    a non-null Map of matching addon descriptors keyed by name

### getAddonDescriptors

    public Map getAddonDescriptors()

  Returns a read-only view of all available addon descriptors
  Returns:
    a non-null Map of addon descriptors keyed by name

### getAddons

    public Map getAddons()

  Returns a read-only view of all available addons
  Returns:
    a non-null Map of addons keyed by name

### initialize

    public void initialize()

### registerAddon

    public void registerAddon(GriffonAddonDescriptor addonDescriptor)

Groovy Documentation